Skip to content

Modify



POST /api/v1/error_track_rule/{rule_uuid}/modify

Overview

Route Parameters

Parameter Name Type Required Description
rule_uuid string Y rule uuid
Allow empty string: False

Body Request Parameters

Parameter Name Type Required Description
name string Y Name
Allow null: False
Max length: 128
desc string Description
Allow null: False
Allow empty string: True
Max length: 256
type string Y Type
Allow null: False
Optional values: ['logging', 'tracing', 'rum']
sources array Sources
Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy']
Allow null: False
extend json Extended information
Allow null: False

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track_rule/<rule_uuid>/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"name":"jj_test-m","desc":"","type":"logging","sources":["front_backend"]}'

Response

{
    "code": 200,
    "content": {
        "createAt": 1772788123,
        "creator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "deleteAt": -1,
        "desc": "",
        "extend": {},
        "id": 30,
        "name": "jj_test-m",
        "sources": [
            "front_backend"
        ],
        "status": 0,
        "type": "logging",
        "updateAt": 1772788280.5053403,
        "updator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
        "uuid": "issetrule_02b5abf016524b3fa2c0a15bd3279c1b",
        "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "57e462a51b100daa7b48b57c57046b49"
}